# $Revision: 1.13 $, $Date: 2007/06/12 21:49:10 $
%define		realname	swfdec-mozilla
Summary:	Flash player for webbrowsers
Summary(pl.UTF-8):	Odtwarzacz plików w formacie Flash dla przeglądarek internetowych
Name:		browser-plugin-swfdec
Version:	0.4.5
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://swfdec.freedesktop.org/download/swfdec-mozilla/0.4/%{realname}-%{version}.tar.gz
# Source0-md5:	d13f90417ca909d174accd32253fe342
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	swfdec-gtk-devel = 0.4.5
Requires:	browser-plugins >= 2.0
Requires:	swfdec-gtk = 0.4.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package delivers a video/audio player plugin for web browsers.

%description -l pl.UTF-8
Ta paczka dostarcza wtyczki odtwarzacza wideo/audio dla przeglądarek
internetowych.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-plugin-dir=%{_browserpluginsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_browserpluginsdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_browserpluginsdir}/libswfdecmozilla.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: browser-plugin-swfdec.spec,v $
Revision 1.13  2007/06/12 21:49:10  qboosh
- updated to 0.4.5
- removed obsolete xulrunner patch
- spec cleanup

Revision 1.12  2007/04/28 20:28:24  qboosh
- needs swfdec-gtk; alsa-lib used indirectly now

Revision 1.11  2007/04/28 19:58:09  megabajt
- updated to 0.4.4

Revision 1.10  2007/04/21 17:20:20  megabajt
- browser plugins v2
- missing BRs

Revision 1.9  2007/03/26 13:27:51  glen
- todo is not done

Revision 1.8  2007/03/24 11:04:07  wrobell
- fixed build requirements (thanks arvenil)

Revision 1.7  2007/03/23 19:41:06  wrobell
- rel. 1

Revision 1.6  2007/03/23 19:39:11  wrobell
- works nicely as browser plugin

Revision 1.5  2007/03/23 00:40:26  wrobell
- ver. 0.4.3

Revision 1.4  2007/03/22 00:22:21  glen
- böö

Revision 1.3  2007/03/21 23:46:00  wrobell
- builds now

Revision 1.2  2007/03/21 16:12:34  glen
- todo

Revision 1.1  2007/03/21 09:10:14  wrobell
- based on kaffeine plugin spec, nfy
